@import "variables.scss";

// table-content
.table-content {
  width: 100%;
  border-spacing: 0;
  border-radius: 6px;
  overflow: hidden;

  thead {
    width: 100%;
    height: 60px;
    background: $primary-color;

    tr {
      width: 100%;
      height: 30px;

      th {
        position: relative;

        .line-left {
          display: block;
          width: 1px;
          height: 36px;
          background: rgba(255, 255, 255, 0.1);
          position: absolute;
          top: 12px;
          right: 0;
        }

        .title-list {
          display: block;
          font-size: 14px;
          font-weight: 500;
          color: $white-text-color;
          &.second {
            font-size: 12px;
          }
          &.top {
            margin-top: 7px;
          }
        }
      }
    }
  }

  tbody {
    width: 100%;

    tr {
      width: 100%;
      height: 38.5px;
      background: $white-text-color;

      td {
        padding: 0 10px;
        border-bottom: 1px solid rgba(41, 43, 44, 0.2);
        &:first-child {
          .number-table {
            display: block;
            width: 100%;
            max-width: 100px;
            margin: 0 auto;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            font-size: 14px;
            color: $gray-darker;
            line-height: 15px;
            text-align: center;
            position: relative;
          }
        }

        .value-table {
          display: flex;
          align-items: center;
          height: 26px;
          justify-content: center;
        }

        .number-table {
          display: block;
          font-size: 14px;
          color: $gray-darker;
          line-height: 15px;
          text-align: center;
          position: relative;
        }
      }

      &:last-child {
        td {
          border-bottom: 0;
        }
      }
    }
  }

  .colum-1 {
    width: 8.4%;
  }

  .colum-2 {
    width: 25.46%;
  }

  .colum-3 {
    width: 6.01%;
  }

  .colum-4 {
    width: 8.24%;
  }

  .colum-5 {
    width: 8.48%;
  }
}

.sub-num {
  display: block;
  width: 100%;
  font-size: 10px;
  color: white;
  line-height: 11px;
  padding-bottom: 8px;
  sup {
    position: relative;
    top: 0;
    left: 3px;
  }
}
